Bug 126740 - CAN-2004-0694 Buffer overflow in lha (CAN-2004-0745, CAN-2004-0769, CAN-2004-0771)
Summary: CAN-2004-0694 Buffer overflow in lha (CAN-2004-0745, CAN-2004-0769, CAN-2004-...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: lha   
(Show other bugs)
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact:
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-06-25 15:50 UTC by Josh Bressers
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-01 18:57:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to fix the dir_length buffer overflow. (556 bytes, patch)
2004-06-25 16:04 UTC, Josh Bressers
no flags Details | Diff
Demo exploit (6.17 KB, application/octet-stream)
2004-09-01 15:17 UTC, Josh Bressers
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2004:323 normal SHIPPED_LIVE Important: lha security update 2004-09-01 04:00:00 UTC
Red Hat Product Errata RHSA-2004:440 normal SHIPPED_LIVE Important: lha security update 2004-09-07 04:00:00 UTC

Description Josh Bressers 2004-06-25 15:50:43 UTC
Another buffer overflow exists in lha.  More information, and exploit
can be found here.

http://marc.theaimsgroup.com/?l=bugtraq&m=108668791510153

This affects RHEL 3 and 2.1.

Comment 1 Josh Bressers 2004-06-25 16:04:21 UTC
Created attachment 101416 [details]
Patch to fix the dir_length buffer overflow.

Comment 3 Ngo Than 2004-06-25 19:24:53 UTC
ok, i will build new lha today. thanks for the patch.

Comment 5 Josh Bressers 2004-09-01 15:17:13 UTC
Created attachment 103339 [details]
Demo exploit

In order to properly run this on RHEL, you will have to set your LANG
environment variable to C (ie export LANG=C).

Comment 6 Josh Bressers 2004-09-01 18:57:47 UTC
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-323.html


Comment 7 Josh Bressers 2004-09-07 15:38:30 UTC
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-440.html



Note You need to log in before you can comment on or make changes to this bug.